{
    "$graph": [
        {
            "requirements": [
                {
                    "dockerPull": "bdgenomics/rhapsody:1.12.1",
                    "class": "DockerRequirement"
                }
            ],
            "class": "CommandLineTool",
            "baseCommand": [
                "mist_quality_filter.py"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "--run-metadata"
                    },
                    "id": "#QualityFilter.cwl/Run_Metadata"
                },
                {
                    "type": {
                        "type": "record",
                        "fields": [
                            {
                                "name": "#QualityFilter.cwl/Split_Read_Pairs/R1",
                                "type": "File",
                                "inputBinding": {
                                    "prefix": "--r1"
                                }
                            },
                            {
                                "name": "#QualityFilter.cwl/Split_Read_Pairs/R2",
                                "type": "File",
                                "inputBinding": {
                                    "prefix": "--r2"
                                }
                            },
                            {
                                "name": "#QualityFilter.cwl/Split_Read_Pairs/readPairId",
                                "type": "int",
                                "inputBinding": {
                                    "prefix": "--read-pair-id"
                                }
                            },
                            {
                                "name": "#QualityFilter.cwl/Split_Read_Pairs/library",
                                "type": "string",
                                "inputBinding": {
                                    "prefix": "--library"
                                }
                            }
                        ]
                    },
                    "id": "#QualityFilter.cwl/Split_Read_Pairs"
                }
            ],
            "id": "#QualityFilter.cwl",
            "outputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*read_quality.csv.gz"
                    },
                    "id": "#QualityFilter.cwl/Filter_Metrics"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_R1*.fastq.gz"
                    },
                    "id": "#QualityFilter.cwl/R1"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*_R2*.fastq.gz"
                    },
                    "id": "#QualityFilter.cwl/R2"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*.log"
                    },
                    "id": "#QualityFilter.cwl/output"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/Run_Metadata"
                },
                {
                    "type": {
                        "type": "array",
                        "items": {
                            "type": "record",
                            "fields": [
                                {
                                    "name": "#main/Split_Read_Pairs/R1",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/Split_Read_Pairs/R2",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/Split_Read_Pairs/readPairId",
                                    "type": "int"
                                },
                                {
                                    "name": "#main/Split_Read_Pairs/library",
                                    "type": "string"
                                }
                            ]
                        }
                    },
                    "id": "#main/Split_Read_Pairs"
                }
            ],
            "outputs": [
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "null",
                                "File"
                            ]
                        }
                    ],
                    "outputSource": "#main/Quality_Filter_Scatter/Filter_Metrics",
                    "id": "#main/Filter_Metrics"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "null",
                                "File"
                            ]
                        }
                    ],
                    "outputSource": "#main/Quality_Filter_Scatter/R1",
                    "id": "#main/R1"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "null",
                                "File"
                            ]
                        }
                    ],
                    "outputSource": "#main/Quality_Filter_Scatter/R2",
                    "id": "#main/R2"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "null",
                                "File"
                            ]
                        }
                    ],
                    "outputSource": "#main/Quality_Filter_Scatter/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "id": "#main/Quality_Filter_Scatter",
                    "run": "#QualityFilter.cwl",
                    "in": [
                        {
                            "source": "#main/Run_Metadata",
                            "id": "#main/Quality_Filter_Scatter/Run_Metadata"
                        },
                        {
                            "source": "#main/Split_Read_Pairs",
                            "id": "#main/Quality_Filter_Scatter/Split_Read_Pairs"
                        }
                    ],
                    "out": [
                        "#main/Quality_Filter_Scatter/R1",
                        "#main/Quality_Filter_Scatter/R2",
                        "#main/Quality_Filter_Scatter/Filter_Metrics",
                        "#main/Quality_Filter_Scatter/output"
                    ],
                    "scatter": "#main/Quality_Filter_Scatter/Split_Read_Pairs"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2",
    "$namespaces": {
        "sbg": "https://sevenbridges.com#"
    }
}
